### Method

# EDataServer Source get_remote_deletable

since: 3.6

#### Declaration [src]

    gboolean
    e_source_get_remote_deletable (
      ESource* source
    )

#### Description [src]

Returns whether the resource represented by `source` can be deleted from a remote server by calling e_source_remote_delete().

Generally this is only `TRUE` if `source` is a child of an `ESource` which has an `ESourceCollection` extension, which means there is an `ECollectionBackend` in the D-Bus service that can handle delete requests. If `source` does not have this capability, calls to `e_source_remote_delete()` will fail.

Available since: 3.6

Gets property | `EDataServer.Source:remote-deletable`

#### Return value

Type: `gboolean`

Whether `source` can delete remote resources.